name: miniproject3

services:
  proxy:
    image: nginx:latest
    restart: unless-stopped
    volumes:
      - ./proxy/default.conf.template:/etc/nginx/templates/default.conf.template
    ports:
      - "80:80"

  mp1:
    image: httpd:latest
    restart: unless-stopped
    volumes:
      - ./MiniProject1:/usr/local/apache2/htdocs

  mp2:
    image: httpd:latest
    restart: unless-stopped
    volumes:
      - ./MiniProject2:/usr/local/apache2/htdocs
  
  mp3:
    image: httpd:latest
    restart: unless-stopped
    volumes:
      - ./MiniProject3:/usr/local/apache2/htdocs